//
//  WeChatTypeHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/9/21.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "WeChatTypeHttpPostCmd.h"
#import "WeChatTypeHttpResult.h"

static NSString *kActionUrl1 = @"/applicationscope/query";

@implementation WeChatTypeHttpPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[WeChatTypeHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[WeChatTypeHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}

@end
NSString *const kHttpWeChatTypeHttpPostCmd_attr = @"attr";
NSString *const kHttpWeChatTypeHttpPostCmd_empid = @"emid";
NSString *const kHttpWeChatTypeHttpPostCmd_companyname = @"companyname";
NSString *const kHttpWeChatTypeHttpPostCmd_filters = @"filters";
NSString *const kHttpWeChatTypeHttpPostCmd_logic = @"logic";
NSString *const kHttpWeChatTypeHttpPostCmd_pageNum = @"pageNum";
NSString *const kHttpWeChatTypeHttpPostCmd_pageSize = @"pageSize";
